/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package servidor.clientes;

import java.util.*;

public class OperadoresDesconectados {

   private HashMap<String, String> lista;

   public OperadoresDesconectados() {
      lista = new HashMap<String, String>();
   }

   public void add(String cod, String caps) {
      lista.put(cod, caps);
   }

   public String getCapacidades(String cod) {
      return lista.get(cod);
   }

   public boolean contiene(String cod) {
      return lista.containsKey(cod);
   }

   public void eliminar(String cod) {
      lista.remove(cod);
   }

   public void enviarCapacidades(Administrador adminis) {
      for(String cod : lista.keySet()) {
         adminis.enviaMensaje(Administrador.MSG_CAMBIO_CAPACIDAD, cod, lista.get(cod));
      }
   }
}
